#
# spec file for package pam_krb5 (Version 2.2.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pam_krb5
BuildRequires:  krb5-client krb5-devel krb5-server openssl-devel pam-devel
%define       PAM_RELEASE 1
License:        GPL v2 or later
Group:          Productivity/Networking/Security
Provides:       pam_krb
AutoReqProv:    on
Version:        2.2.3
Release:        18.12.26
Summary:        PAM Module for Kerberos Authentication
Url:            http://sourceforge.net/projects/pam-krb5/
Source:         pam_krb5-%{version}-%{PAM_RELEASE}.tar.bz2
Patch1:         pam_krb5-2.2.0-0.5-configure_ac.dif
Patch4:         pam_krb5-2.2.0-2-noafsonarm.patch
Patch10:        pam_krb5-upstreamfix-password-handling.dif
Patch11:        pam_krb5-upstreamfix-testcase.dif
Patch12:        pam_krb5-2.2.3-1-prompter-segfault.dif 
Patch13:        bug-359809_pam_krb5-2.2.3-1-disable-krb5-prompter.diff
Patch14:        bug-425861_pam_krb5-2.2.3-ccacheperms.patch
Patch15:        pam_krb5-2.2.3-1-do_init_secure_context.dif
Patch16:        pam_krb5-2.2.3-1-fix-ignore_unknown_princ-in-chauthtock.dif
Patch17:        pam_krb5-2.2.3-1-setcred-assume-establish.dif
Patch18:        pam_krb5-2.2.3-1-fix-display-messages.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This PAM module supports authentication against a Kerberos KDC. It also
supports updating your Kerberos password.



Authors:
--------
    Balazs Gal <balsa@rit.bme.hu>
    Nalin Dahyabhai <nalin@redhat.com>

%prep
%setup -q -n pam_krb5-%{version}-%{PAM_RELEASE}
%patch1
%patch4
%patch10
%patch11
%patch12
%patch13
%patch14 -p1
%patch15
%patch16
%patch17
%patch18

%build
%{suse_update_config -f}
autoreconf --verbose --force --install
CFLAGS="$RPM_OPT_FLAGS -fstack-protector "         \
./configure --libdir=/%_lib/     \
            --prefix=/usr        \
            --mandir=%{_mandir}
make %{?jobs:-j%jobs}
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf pam_krb5.so $RPM_BUILD_ROOT/%_lib/security/pam_krb5afs.so
rm -f $RPM_BUILD_ROOT/%_lib/security/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc TODO README* COPYING* ChangeLog INSTALL AUTHORS NEWS
%attr(555,root,root) /%{_lib}/security/pam_krb5.so
%attr(555,root,root) /%{_lib}/security/pam_krb5afs.so
%dir /%{_lib}/security/pam_krb5
%attr(755,root,root) /%{_lib}/security/pam_krb5/pam_krb5_storetmp
%attr(444,root,root) %_mandir/man*/*.*
%attr(755,root,root) /usr/bin/afs5log

%changelog
* Wed May 27 2009 mc@suse.de
- do not suppresses password warning messages
  [bnc#501423]
* Mon Feb  2 2009 mc@suse.de
- init always the secure_context if available. (CVE-2009-0360)
  (bnc#471420)
- pam_sm_chauthtock should return PAM_IGNORE if
  ignore_unknown_principal option is set (bnc#469862)
- pam_sm_setcred should assume PAM_ESTABLISH_CRED
  if no flag are passed (bnc#470414)
* Tue Sep 16 2008 mc@suse.de
- fixing pam_krb5 existing_ticket permission flaw (CVE-2008-3825)
  (bnc#425861)
* Thu Mar 13 2008 mc@suse.de
- add patch to prevent that libkrb5 do the password change
  [bnc#359809]
* Fri Apr 21 2006 mc@suse.de
- fix segfault in prompter [#165972]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 mc@suse.de
- add two patches from upstream
  * pam_krb5-upstreamfix-password-handling.dif
  * pam_krb5-upstreamfix-testcase.dif
- build with more then one job
* Fri Jan 13 2006 mc@suse.de
- set /usr/bin/afs5log executable
* Wed Jan 11 2006 mc@suse.de
- add -fstack-protector to CFLAGS
* Tue Dec 20 2005 mc@suse.de
- update to version 2.2.3
- remove pam_krb5-2.2.0-0.5-NULL-fix.dif; patch is now upstream
* Fri Dec  2 2005 mc@suse.de
- update to version 2.2.2
  * don't leak the keytab file descriptor
  * actually check for AFS support first, so that the
    ioctl-only support case will work properly.
* Mon Nov 14 2005 uli@suse.de
- no afs_syscall on ARM
* Mon Nov 14 2005 mc@suse.de
- update to version 2.2.0-2
- remove obsolete patch (debug_false is upstream now)
* Mon Oct 10 2005 mc@suse.de
- update to current CVS version
- drop some patches (they are upstream now)
- fix NULL problem
* Wed Aug 17 2005 mc@suse.de
- got official fix for the authtok problem
  [#104051]
* Mon Aug 15 2005 mc@suse.de
- fix the behavior of password changing if use_authtok
  is not present [#104051]
* Wed Jun 29 2005 mc@suse.de
- fix change password
* Fri Jun 10 2005 mc@suse.de
- set default for debug to false [#87005]
* Thu Apr  7 2005 mc@suse.de
- switch to version 2.2.0-0.5
* Tue Feb 22 2005 nadvornik@suse.cz
- fixed parsing of time values
* Mon Feb 21 2005 mc@suse.de
- add pam_krb5-use-krb5_afslog.dif [#51047]
* Tue Jan 18 2005 okir@suse.de
- updated to latest pam_krb5 snapshot from sourcforge CVS
* Tue Jan 11 2005 ro@suse.de
- re-added afs module (added krbafs to neededforbuild)
* Mon Nov 22 2004 ro@suse.de
- remove afs for the moment, mit-kerberos does not have support
* Wed Apr 28 2004 ro@suse.de
- added -fno-strict-aliasing
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Jul 16 2003 nadvornik@suse.cz
- replaced by different implementation of pam_krb5
- afs support
* Fri Jun 20 2003 okir@suse.de
- fix build problem with latest heimdal
- another fix for passwd updates (#20284)
* Wed Jun 18 2003 ro@suse.de
- use kerberos-devel-packages in neededforbuild
* Tue Apr 15 2003 ro@suse.de
- fixed neededforbuild
* Wed Aug 28 2002 okir@suse.de
- Security fix (#18463): unbecome_user did not properly reassert
  original privilege, and the caller didn't check the return value.
* Wed Jul 31 2002 okir@suse.de
- suse_update_config now updates the right files
* Wed Jul 24 2002 okir@suse.de
- fixed passwd(1) support; updated README
* Tue Jul 23 2002 okir@suse.de
- initial packaging
